/*
 * MenuInterface.hpp
 *
 *  Created on: Nov 5, 2010
 *      Author: heber
 */

#ifndef MENUINTERFACE_HPP_
#define MENUINTERFACE_HPP_

#include <string>

/** Defines a common interface to access all menus.
 * This class offers to to add
 * -# submenus
 * -# actions
 * -# separators
 * in a uniform way.
 */
class MenuInterface
{
public:
  explicit MenuInterface(const std::string &_token);
  virtual ~MenuInterface();

  virtual void addActionItem(const std::string &token, const std::string &description)=0;
  virtual void addSeparatorItem()=0;
  virtual void addSubmenuItem(const std::string &token, const std::string &description)=0;
};

#endif /* MENUINTERFACE_HPP_ */
