/*
 * MenuItem.h
 *
 *  Created on: Dec 10, 2009
 *      Author: crueger
 */

#ifndef MENUITEM_H_
#define MENUITEM_H_

#include <string>

class TxMenu;

/**
 * Base class for all kinds of MenuItems
 *
 * This class takes care of checking the triggers and performing appropriate actions.
 */
class MenuItem {
public:
  MenuItem(char,const std::string &,TxMenu* const);
  virtual ~MenuItem();

  virtual void doTrigger()=0;
  virtual bool checkTrigger(char);

  virtual const std::string formatEntry();

  virtual const std::string getDescription();
  char getTrigger();

  void add_to_menu(TxMenu* const);
  bool wasAdded();

  virtual bool isActive();

private:
  char trigger;
  const std::string description;
  bool added;
};

#endif /* MENUITEM_H_ */
